## ros-galactic-ros2component 0.13.5

=== debian/changelog ===
ros-galactic-ros2component (0.13.5-1focal) focal; urgency=high

  * Fix the component load help to mention load, not unload. (#758 <https://github.com/ros2/ros2cli/issues/758>)
  * Contributors: Chris Lalancette

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 02 Dec 2022 08:00:00 -0000

ros-galactic-ros2component (0.13.4-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 30 Jun 2022 07:00:00 -0000

ros-galactic-ros2component (0.13.3-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 28 Apr 2022 07:00:00 -0000

ros-galactic-ros2component (0.13.2-1focal) focal; urgency=high

  * Add changelog. (#636 <https://github.com/ros2/ros2cli/issues/636>)
  * Contributors: Ivan Santiago Paunovic

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 07 May 2021 07:00:00 -0000

ros-galactic-ros2component (0.13.1-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 26 Apr 2021 07:00:00 -0000

ros-galactic-ros2component (0.13.0-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-galactic-ros2component (0.12.0-1focal) focal; urgency=high

  * Remove maintainer. (#597 <https://github.com/ros2/ros2cli/issues/597>)
  * Add Audrow as a maintainer. (#591 <https://github.com/ros2/ros2cli/issues/591>)
  * Contributors: Audrow Nash, Claire Wang

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 02 Mar 2021 08:00:00 -0000

ros-galactic-ros2component (0.11.0-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-galactic-ros2component (0.10.1-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-galactic-ros2component (0.10.0-1focal) focal; urgency=high

  * Update maintainers. (#568 <https://github.com/ros2/ros2cli/issues/568>)
  * Ensure consistent timeout in ros2component list. (#526 <https://github.com/ros2/ros2cli/issues/526>)
  * Contributors: Claire Wang, Michel Hidalgo

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 02 Nov 2020 08:00:00 -0000

ros-galactic-ros2component (0.9.5-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-galactic-ros2component (0.9.4-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-galactic-ros2component (0.9.3-1focal) focal; urgency=high

  * Make CLI more robust to discovery latency. (#494 <https://github.com/ros2/ros2cli/issues/494>)
  * Contributors: Michel Hidalgo

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 13 May 2020 07:00:00 -0000

ros-galactic-ros2component (0.9.2-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 08 May 2020 07:00:00 -0000

ros-galactic-ros2component (0.9.1-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 06 May 2020 07:00:00 -0000

ros-galactic-ros2component (0.9.0-1focal) focal; urgency=high

  * More verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Only load required entry points which improves the performance. (#436 <https://github.com/ros2/ros2cli/issues/436>)
    * Extend API to exclude extensions from loading
    * Add add_subparsers_on_demand() function
    * Update all extensions to use the new API
    * Deprecate old API, add deprecation warnings
  * Contributors: Dirk Thomas

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 29 Apr 2020 07:00:00 -0000

ros-galactic-ros2component (0.8.6-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 19 Nov 2019 08:00:00 -0000

ros-galactic-ros2component (0.8.5-1focal) focal; urgency=high

  * 0.8.5
  * Contributors: Shane Loretz

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 14 Nov 2019 08:00:00 -0000

ros-galactic-ros2component (0.8.4-1focal) focal; urgency=high

  * 0.8.4
  * Add service clients to ros2node info. (#392 <https://github.com/ros2/ros2cli/issues/392>)
  * Contributors: Michael Carroll, Mikael Arguedas

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 13 Nov 2019 08:00:00 -0000

ros-galactic-ros2component (0.8.3-1focal) focal; urgency=high

  * 0.8.3
  * [ros2node] Add option to info verb to display hidden names. (#373 <https://github.com/ros2/ros2cli/issues/373>)
    * [ros2node] Add option to info verb to display hidden names
    Changes behavior so that hidden names are not shown by default.
    * Update ros2component to request hidden service names
    Which it uses for identifier component containers.
  * Contributors: Jacob Perron, Shane Loretz

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-galactic-ros2component (0.8.2-1focal) focal; urgency=high

  * 0.8.2
  * Contributors: Dirk Thomas

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 08 Oct 2019 07:00:00 -0000

ros-galactic-ros2component (0.8.1-1focal) focal; urgency=high

  * 0.8.1
  * Contributors: Michael Carroll

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 04 Oct 2019 07:00:00 -0000

ros-galactic-ros2component (0.8.0-1focal) focal; urgency=high

  * Install resource marker file for packages. (#339 <https://github.com/ros2/ros2cli/issues/339>)
  * Handle find_container_node_names error. (#322 <https://github.com/ros2/ros2cli/issues/322>)
  * Update setup.py version. (#331 <https://github.com/ros2/ros2cli/issues/331>)
    Versions now match latest tag and package.xml.
  * Install package manifest. (#330 <https://github.com/ros2/ros2cli/issues/330>)
  * Use of -r/--remap flags where appropriate. (#325 <https://github.com/ros2/ros2cli/issues/325>)
  * Contributors: Dirk Thomas, Jacob Perron, Michel Hidalgo, ivanpauno

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 26 Sep 2019 07:00:00 -0000

ros-galactic-ros2component (0.7.4-1focal) focal; urgency=high

  * [ros2component] Stop the standalone container when load fails. (#269 <https://github.com/ros2/ros2cli/issues/269>)

